
theta=0.3;
beta=0.985^10;
phi_0=0.393;
alpha=0.01:0.01:1;
A_bar=theta/(1-beta*theta);
lambda=(2.379e-5/theta/beta)^(-1);
S_plus=221;


Delta=A_bar/lambda./alpha;
c_E=(1-theta)*(1-beta)./(beta*alpha*(1-beta*theta)+(1-theta))/phi_0./Delta;
E=c_E.*(1-Delta*S_plus);
Ent=log(1-Delta*S_plus)+Delta*S_plus./(1-Delta*S_plus);

%%
figure(1)
subplot(121)
plot(alpha,E,'k','Linewidth',1.5)
xlabel('\alpha')
ylabel('E^*');
subplot(122)
plot(Ent,E,'k', 'Linewidth',1.5)
xlabel('Entropy, \rho')
ylabel('E^*');
saveas(gcf,'baseline_energy_use.jpeg');
