function x_opt=Bellman_mix_sim(coef,X,Y,R,N)
global beta phi_L phi_0 phi theta nu alpha lambda Delta A2 A3 kappa1 kappa2 kappa3 rho g

global Ndeg_1 Ndeg_2 Ndeg_3 Ndeg_4 dz_1 extamin_1 dz_2 extamin_2 dz_3 extamin_3 dz_4 extamin_4 extamax_1 extamax_2


options=optimset('Display','off','Algorithm','active-set','Tolfun',1e-14); % 'UseParallel','always'
int_x=[R/2 1 1]; % the initial (E1, E2, E3)
int_x=[0.1 0.1 1];
% X'=sqrt(2)/2*(phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))+(X-Y)/2+(1-phi)*(X+Y)/2
% Y'=sqrt(2)/2*(-phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))-(X-Y)/2+(1-phi)*(X+Y)/2
% S'=sqrt(2)*X'=(phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))+(X-Y)*sqrt(2)/2+(1-phi)*(X+Y)*sqrt(2)/2
obj_fn=@(x)-(1/(1-theta*beta)*(nu/rho*log(kappa1*x(1)^rho+kappa2*x(2)^rho+kappa3*x(3)^rho)+(1-theta-nu)*log(1-x(2)/A2/N-x(3)/A3/N))...
    +beta*(kron(cheb_par(dz_1*(sqrt(2)/2*(phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))+(X-Y)/2+(1-phi)*(X+Y)/2-extamin_1)-1,Ndeg_1),...
    kron(cheb_par(dz_2*(sqrt(2)/2*(-phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))-(X-Y)/2+(1-phi)*(X+Y)/2-extamin_2)-1,Ndeg_2),...
    kron(cheb_par(dz_3*(R-x(1)-extamin_3)-1,Ndeg_3),...
    cheb_par(min(dz_4*(N*(1+g)-extamin_4)-1,1),Ndeg_4))))*coef...
    +alpha*log(1-Delta*((phi_L+(1-phi_L)*phi_0)*(x(1)+x(2))+(X-Y)*sqrt(2)/2+(1-phi)*(X+Y)*sqrt(2)/2))));
% add "-" to convert to minimization
lb=[0 0 0];
% ub=[min((1/Delta-P-(1-phi)*T)/(phi_L+(1-phi_L)*phi_0), R)
%    min((1/Delta-P-(1-phi)*T)/(phi_L+(1-phi_L)*phi_0), min(A2*N,1e4))
%    min(A3*N,1e4)];
ub=[R min(A2*N,1e4) min(A3*N,1e4)];
A=[1 1 0; 1 1 0; 1 1 0];
b=[(extamax_1-(X-Y)/2-(1-phi)*(X+Y)/2)*sqrt(2) / (phi_L+(1-phi_L)*phi_0);
    (extamax_2+(X-Y)/2-(1-phi)*(X+Y)/2)*sqrt(2) / (-phi_L+(1-phi_L)*phi_0);
    (1/Delta-(X-Y)*sqrt(2)/2-(1-phi)*(X+Y)*sqrt(2)/2) / (phi_L+(1-phi_L)*phi_0)];
x_opt=fmincon(obj_fn,int_x,A,b,[],[],lb,ub,[],options); %%%





