function [z T dT ddT weights]=Cheb_nodes(Nnode,Ndeg)

z=-cos((2*(1:Nnode)'-1)/(2*Nnode)*pi); % Chebyshev nodes on [-1,1], ascending order
[T, dT, ddT]=cheb_all(z,Nnode,Ndeg); 
% define Cheb poly, the gradients and the Hessian of Cheb poly, Nnode by (Ndeg+1)
weights=[1/Nnode;ones(Ndeg,1)*2/Nnode]; % define weights

end