function x_opt=Bellman_mix_sim(coef,N,P,T)
global beta phi_L phi_0 phi theta nu A_bar Delta mu A2 A3 kappa1 kappa2 kappa3 rho g

global Ndeg_1 Ndeg_2 Ndeg_3 dz_1 extamin_1 dz_2 extamin_2 dz_3 extamin_3


options=optimset('Display','off','Algorithm','active-set','Tolfun',1e-14); % 'UseParallel','always'
int_x=[1 1 1]; % the initial (E1, E2, E3)

obj_fn=@(x)-(1/(1-theta*beta)*(nu/rho*log(kappa1*x(1)^rho+kappa2*x(2)^rho+kappa3*x(3)^rho)+(1-theta-nu)*log(1-x(2)/A2/N-x(3)/A3/N))...
    +beta*(kron(cheb_par(dz_1*(P+phi_L*(x(1)+x(2))-extamin_1)-1,Ndeg_1),...
    kron(cheb_par(dz_2*((1-phi)*T+(1-phi_L)*phi_0*(x(1)+x(2))-extamin_2)-1,Ndeg_2),...
    cheb_par(min(dz_3*(N*(1+g)-extamin_3)-1,1),Ndeg_3))))*coef...
    -A_bar*(P+(1-phi)*T+(phi_L+(1-phi_L)*phi_0)*(x(1)+x(2)))*(mu+Delta*(P+(1-phi)*T+(phi_L+(1-phi_L)*phi_0)*(x(1)+x(2)))));
% add "-" to convert to minimization
lb=[0 0 0];
ub=[1e4,min(A2*N,1e4),min(A3*N,1e4)];
x_opt=fmincon(obj_fn,int_x,[],[],[],[],lb,ub,[],options); %%%